Bug 102793 - RFE: Mounting/unmounting hotswap media should be more user-friendly.
RFE: Mounting/unmounting hotswap media should be more user-friendly.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
: FutureFeature, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 01:31 EDT by J.B. Nicholson-Owens
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 10:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2003-08-21 01:31:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Inserting a USB drive (or workalike) should bring up an icon on the desktop so
the user can easily interact with the drive without needing to manually mount
the device, learn the Unix /dev system and manually determine which device is
the right one.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a USB drive (or multiple such drives) and insert them into the computer's
USB ports.
2. Watch as the system does *something* but nothing user-visible.

Actual Results:  Nothing happened.

Expected Results:  I should have seen an icon on the desktop for each drive I
inserted.  The icon should go away when I remove the drive or "eject" it by
right-clicking on the icon and picking "eject".

Additional info: I'm guessing this is what happens on all RH9 architectures, but
I've only tried it on i386.
Comment 1 J.B. Nicholson-Owens 2003-10-13 16:56:08 EDT
I said:

  "2. Watch as the system does *something* but nothing user-visible."

On the surface, this appears to be a self-contradictory sentence.  What I was
trying to convey is not self-contradiction, but a lack of end-user accessible
change.  To clarify, I was trying to convey that you can see (via hard disk
activity indicators, for instance) that something is happening as a direct
result of inserting the USB drive.  RH9 clearly sees the USB device and does
something when you physically attached it.  But as far as the end-user's
experience is concerned, nothing happens.  No icon pops up on the desktop
allowing easy read, delete, write, and format access to the device or its
contents.  Ideally, an icon would pop up on the desktop and let the user deal
with the drive as the user deals with any other drive.  Then the user can eject
or unmount the drive logically, wait for the system to somehow give an "all
clear" to physically disconnect the drive, and then slip the USB connector out
of the system.

I don't know if there was any problem understanding what I was trying to
describe, but if there was I hope this helps.
Comment 2 Alexander Larsson 2004-10-04 10:10:06 EDT
This should be a lot better in fc3.

Note You need to log in before you can comment on or make changes to this bug.